weka.gui.knowledgeflow

## Class NoteVisual

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - weka.gui.knowledgeflow.StepVisual
          - - weka.gui.knowledgeflow.NoteVisual

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

      public class NoteVisual
      extends StepVisual

  Visual representation for the Note "step".
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class weka.gui.knowledgeflow.StepVisual

      `BASE_ICON_PATH`

    - ### Fields inherited from class javax.swing.JComponent

      `TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoteVisual()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decreaseFontSize()` Decrease the font size by one
    `boolean` | `getDisplayStepLabel()` Returns true if the step label is to be displayed.
    `int` | `getFontSizeAdjust()` Get the font size adjustment
    `void` | `increaseFontSize()` Increase the font size by one
    `void` | `paintComponent(java.awt.Graphics gx)`
    `void` | `setDisplayConnectors(boolean dc)` Turn on/off the connector points
    `void` | `setDisplayConnectors(boolean dc, java.awt.Color c)` Turn on/off the connector points
    `void` | `setFontSizeAdjust(int adjust)` set the font size adjustment
    `void` | `setHighlighted(boolean highlighted)` Set whether the note should appear "highlighted" (i.e.
    `void` | `setStepManager(StepManagerImpl manager)` Set the `StepManagerImpl` for the step covered by this visual

    - ### Methods inherited from class weka.gui.knowledgeflow.StepVisual

      `createVisual, createVisual, getClosestConnectorPoint, getCustomEditorForStep, getIcon, getStepInteractiveViewActionNames, getStepInteractiveViewComponent, getStepManager, getStepName, getX, getY, iconForStep, loadIcon, scaleIcon, setStepName, setX, setY`

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoteVisual

          public NoteVisual()

  - ### Method Detail

    - #### setStepManager

          public void setStepManager(StepManagerImpl manager)

      Set the `StepManagerImpl` for the step covered by this visual
      Overrides:
        `setStepManager` in class `StepVisual`
      Parameters:
        `manager` - the step manager to wrap

    - #### setHighlighted

          public void setHighlighted(boolean highlighted)

      Set whether the note should appear "highlighted" (i.e. thicker border)
      Parameters:
        `highlighted` - true if the note should appear highlighted

    - #### setDisplayConnectors

          public void setDisplayConnectors(boolean dc)

      Turn on/off the connector points
      Overrides:
        `setDisplayConnectors` in class `StepVisual`
      Parameters:
        `dc` - a `boolean` value

    - #### setDisplayConnectors

          public void setDisplayConnectors(boolean dc,
                                           java.awt.Color c)

      Turn on/off the connector points
      Overrides:
        `setDisplayConnectors` in class `StepVisual`
      Parameters:
        `dc` - a `boolean` value
        `c` - the Color to use

    - #### getDisplayStepLabel

          public boolean getDisplayStepLabel()

      Description copied from class: `StepVisual`
      Returns true if the step label is to be displayed. Subclasses can override to change this.
      Overrides:
        `getDisplayStepLabel` in class `StepVisual`
      Returns:
        true (default) if the step label is to be displayed

    - #### paintComponent

          public void paintComponent(java.awt.Graphics gx)

      Overrides:
        `paintComponent` in class `StepVisual`

    - #### getFontSizeAdjust

          public int getFontSizeAdjust()

      Get the font size adjustment
      Returns:
        the font size adjustment

    - #### setFontSizeAdjust

          public void setFontSizeAdjust(int adjust)

      set the font size adjustment
      Parameters:
        `adjust` - the font size adjustment

    - #### decreaseFontSize

          public void decreaseFontSize()

      Decrease the font size by one

    - #### increaseFontSize

          public void increaseFontSize()

      Increase the font size by one